#include "Arduino.h"
#include "SoftwareSerial.h"
#include "DFRobotDFPlayerMini.h"

//---------------------------------------------------------------------------------
//      Áudio
//---------------------------------------------------------------------------------

//Inicia a serial por software nos pinos 10 e 11
SoftwareSerial mySoftwareSerial(10, 11); // RX, TX

DFRobotDFPlayerMini myDFPlayer;

char buf;
int pausa = 0;
int equalizacao = 0;

int resultado = 0;
int selecionada = 0;

int botao = 8;
  
// setup (executado apenas uma vez)
void setup() {

  pinMode(botao, INPUT);

  //-------------------------------------------------------
  //  define Audio
  //-------------------------------------------------------
  mySoftwareSerial.begin(9600);
  myDFPlayer.begin(mySoftwareSerial); //inicia módulo MP3, essa linha ficava dentro da Serial
  
  myDFPlayer.setTimeOut(500); //Timeout serial 500ms
  myDFPlayer.volume(30); 
  myDFPlayer.EQ(0); //Equalizacao normal  

  resultado = myDFPlayer.readFileCounts();  
  
}
 
// laço principal (executado indefinidamente)
void loop() {  

  if (digitalRead(botao) == HIGH) {
    Serial.println("botao");
    
    tocaNormal();

    //tocaAleatorio();
    
    delay(1000);
  }

  delay(100);

}

void tocaAleatorio(){

  selecionada = random(1, resultado);

  Serial.println(selecionada);
  myDFPlayer.play(selecionada);
  
}

void tocaNormal(){

  myDFPlayer.next();
  
}
